Skip to Content
List Subview Dimensions
get

Lists the dimensions available for filtering and breaking down subview metrics for the given subview type. view dimensions describe the parent video view; subview dimensions are specific to the subview type itself (for example, rendition attributes for rendition subviews).

Request path & query params
SUBVIEW_TYPE
string
Possible values: "rendition""playback_mode"

The subview type to query.

get
200
https://api.mux.com/data/v1/subview-metrics/{SUBVIEW_TYPE}/dimensions
Response
(application/json)
{
  "data": {
    "view": [
      "video_id",
      "video_title",
      "video_encoding_variant",
      "video_variant_name",
      "player_name",
      "player_version",
      "client_application_name",
      "client_application_version",
      "mux_embed",
      "mux_embed_version",
      "sub_property_id",
      "player_autoplay",
      "viewer_device_category",
      "viewer_device_name",
      "viewer_device_model",
      "operating_system",
      "video_creator_id",
      "cdn",
      "continent_code",
      "country",
      "region"
    ],
    "subview": [
      "video_source_bitrate",
      "video_source_width",
      "video_source_height",
      "video_source_fps",
      "video_source_codec",
      "video_source_rendition_name"
    ]
  },
  "total_row_count": null
}